Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class LogEntry

- Defined in: LogEntry.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| LogEntry(context, action)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| action
| context
| context_id
| context_type
| created
| creator
| referrer

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| getMacroHandler(name)
| label_macro(param)
| toString()

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getPermission
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  touch
  type_macro
  upload_macro

## Class Detail

LogEntry(context, action)

Parameters:
{HopObject} context
{String} action

## Field Detail

{String} action
{HopObject} context
{Number} context_id
{String} context_type
{Date} created
{User} creator
{String} referrer

## Method Detail

- {HopObject} getMacroHandler(name)
  Parameters:
  {String} name
  Returns:
    {HopObject}
- label_macro(param)
  Parameters:
  {Object} param
- {String} toString()
  Returns:
    {String}